Bug 1003315 - ghc-wai-3.0.1.1 is available
ghc-wai-3.0.1.1 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ghc-wai (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
wai-3.0.1.1:ok
: FutureFeature, Triaged
Depends On: 832656 1170969
Blocks: 1046647
  Show dependency treegraph
 
Reported: 2013-09-01 17:52 EDT by Upstream Release Monitoring
Modified: 2015-02-07 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version: F22
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1049782 (view as bug list)
Environment:
Last Closed: 2015-02-07 18:04:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2013-09-01 17:52:21 EDT
Latest upstream release: 1.4.0.2
Current version/release in Fedora Rawhide: 1.4.0.1-1.fc20
URL: http://hackage.haskell.org/packages/archive/wai/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2013-11-15 05:04:02 EST
Latest upstream release: 1.4.1
Current version/release in Fedora Rawhide: 1.4.0.1-1.fc20
URL: http://hackage.haskell.org/package/wai

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Upstream Release Monitoring 2013-12-04 03:58:35 EST
Latest upstream release: 2.0.0
Current version/release in Fedora Rawhide: 1.4.0.1-1.fc20
URL: http://hackage.haskell.org/package/wai

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Jens Petersen 2014-01-04 02:06:16 EST
blocked by wai-extra which needs word8
Comment 4 Upstream Release Monitoring 2014-03-11 04:29:39 EDT
Latest upstream release: 2.1.0
Current version/release in Fedora Rawhide: 1.4.0.1-1.fc20
URL: http://hackage.haskell.org/package/wai

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 5 Upstream Release Monitoring 2014-03-30 05:10:01 EDT
Latest upstream release: 2.1.0.1
Current version/release in Fedora Rawhide: 1.4.0.1-1.fc20
URL: http://hackage.haskell.org/package/wai

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 6 Upstream Release Monitoring 2014-04-14 03:37:33 EDT
Latest upstream release: 2.1.0.2
Current version/release in Fedora Rawhide: 1.4.0.1-1.fc20
URL: http://hackage.haskell.org/package/wai

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 7 Jens Petersen 2014-04-24 05:05:29 EDT
Currently the following looks like a good package set upgrade:

[haskell-sig/cblrepo/f21:master]$ cblrepo -n add wai,2.1.0 conduit,1.0.13.1 wai-extra,2.1.1 warp,2.1.3 vault,0.3.0.3 fast-logger,2.1.5 monad-logger,0.3.4.1 wai-logger,2.0.0 blaze-builder,0.3.3.2 monad-loops,0.4.2 stm-chans,3.0.0.2 http-date,0.0.4

ie needs (last) 3 new packages
Comment 8 Jens Petersen 2014-04-24 05:48:00 EDT
I think the best we can do right now without adding addition packages is:

cblrepo -n add wai,1.4.1 conduit,1.0.13.1 wai-extra,1.3.4.6 warp,1.3.8.4 vault,0.3.0.3 fast-logger,0.3.3 monad-logger,0.3.1.1 wai-logger,0.3.2 blaze-builder,0.3.3.2 unix-time,0.2.2

(unix-time can be avoided if we pretend to be Win32.)
Comment 9 Jens Petersen 2014-04-24 05:51:16 EDT
resourcet,0.4.10.2 could also be added
Comment 10 Jens Petersen 2014-05-12 03:43:29 EDT
check-bz-available-URM cblrepo output for wai-2.1.0.2:

Failed to satisfy the following dependencies for wai:
  conduit-extra >=1.0
Adding wai 2.1.0.2 would break:
  wai-extra : wai >=1.3 && <1.5
  warp : wai >=1.3 && <1.5
Comment 11 Upstream Release Monitoring 2014-05-23 05:48:51 EDT
Latest upstream release: 2.1.0.3
Current version/release in Fedora Rawhide: 1.4.1-1.fc21
URL: http://hackage.haskell.org/package/wai

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 12 Upstream Release Monitoring 2014-06-11 07:27:41 EDT
Latest upstream release: 3.0.0.1
Current version/release in Fedora Rawhide: 1.4.1-2.fc21
URL: http://hackage.haskell.org/package/wai

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 13 Upstream Release Monitoring 2014-06-23 04:07:43 EDT
Latest upstream release: 3.0.0.2
Current version/release in Fedora Rawhide: 1.4.1-3.fc21
URL: http://hackage.haskell.org/package/wai

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 14 Upstream Release Monitoring 2014-07-24 08:58:35 EDT
Latest upstream release: 3.0.1
Current version/release in Fedora Rawhide: 1.4.1-3.fc21
URL: http://hackage.haskell.org/package/wai

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 15 Jens Petersen 2014-07-24 13:50:11 EDT
fhbz: cblrepo output for wai-3.0.1:

Adding wai 3.0.1 would break:
  wai-extra : wai >=1.3 && <1.5
  warp : wai >=1.3 && <1.5
Comment 16 Upstream Release Monitoring 2014-08-01 04:46:59 EDT
Latest upstream release: 3.0.1.1
Current version/release in Fedora Rawhide: 1.4.1-3.fc21
URL: http://hackage.haskell.org/package/wai

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 17 Jens Petersen 2014-08-07 12:36:41 EDT
fhbz: cblrepo output for wai-3.0.1.1:

Adding wai 3.0.1.1 would break:
  wai-extra : wai >=1.3 && <1.5
  warp : wai >=1.3 && <1.5
Comment 18 Jens Petersen 2014-08-31 23:41:46 EDT
$ cblrepo -n add wai-extra,3.0.2.1 wai,3.0.1.1 fast-logger,2.1.4 monad-logger,0.3.7.2 warp,3.0.0.5 wai-logger,2.1.1 blaze-builder,0.3.3.2 http-types,0.8.5 conduit-extra,1.0.0.1 http-date,0.0.4 stm-chans,3.0.0.2 monad-loops,0.4.2.1
Comment 19 Jens Petersen 2014-09-01 01:20:22 EDT
or without touching conduit:

$ cblrepo -n add wai-extra,2.1.1 fast-logger,2.1.4 monad-logger,0.3.5.1 warp,2.1.3 wai-logger,2.1.1 blaze-builder,0.3.3.2 http-types,0.8.5 wai,2.1.0 monad-loops,0.4.2.1 stm-chans,3.0.0.2 http-date,0.0.4

(last 3 are still new)
Comment 20 Jens Petersen 2014-09-01 01:39:53 EDT
or at least without conduit-extra:

$ cblrepo -n add wai-extra,3.0.2.1 wai,3.0.1.1 fast-logger,2.1.4 monad-logger,0.3.5.1 warp,3.0.0.5 wai-logger,2.1.1 blaze-builder,0.3.3.2 http-types,0.8.5 http-date,0.0.4 stm-chans,3.0.0.2 monad-loops,0.4.2.1
Comment 21 Jens Petersen 2014-09-01 06:14:47 EDT
committed to master
Comment 22 Jens Petersen 2014-09-28 23:26:26 EDT
fhbz: Rawhide can be updated to wai-3.0.1.1 
according to the current cblrepo data in haskell-sig.git.

It would require rebuilding:
 wai-logger wai-extra warp scotty

Note You need to log in before you can comment on or make changes to this bug.